Premesso che non sono un esperto, stavo provando ad installare LiVES dal Software Center, ma ogni volta mi esce una finestra che dice:

Verificare se sono in uso repository di terze parti. Qualora così fosse, disabilitarli, poiché questi sono talvolta causa di problemi. Inoltre eseguire il seguente comando in un terminale: apt-get install -f.

Lo stesso messaggio mi esce anche quando tento di installare aggiornamenti di sorta. ho provato a digitare il comando nel terminale (preceduto da sudo) e ottengo:

riccardo@riccardo:~$ sudo apt-get install -f
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  attr bind9 bind9utils cifs-utils consolekit docbook-xml docbook-xsl icoutils
  kate-data katepart kde-l10n-engb kde-l10n-it kde-runtime-data kdelibs-bin
  kdelibs5-data kdelibs5-plugins kdoctools keyutils ldb-tools libaio1
  libattica0.4 libbaloocore4 libbaloofiles4 libbalooxapian4
  libbasicusageenvironment0 libcddb2 libck-connector0 libcrystalhd3
  libdlrestrictions1 libdvbpsi8 libebml3 libebml4 libepub0 libfftw3-3
  libfftw3-long3 libgnutls28 libgroupsock1 libhdb9-heimdal libhogweed2
  libiso9660-8 libkactivities-bin libkactivities-models1 libkactivities6
  libkatepartinterfaces4 libkcmutils4 libkdc2-heimdal libkde3support4
  libkdeclarative5 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4
  libkemoticons4 libkfile4 libkhtml5 libkidletime4 libkio5 libkjsapi4
  libkjsembed4 libkmediaplayer4 libknewstuff3-4 libknotifyconfig4 libkntlm4
  libkparts4 libkpty4 libkrosscore4 libktexteditor4 libkubuntu0
  libkxmlrpcclient4 liblivemedia23 liblua5.1-0 libmatroska5 libmatroska6
  libnepomuk4 libnepomukcleaner4 libnepomukcore4abi1 libnepomukquery4a
  libnepomukutils4 libntrack-qt4-1 libntrack0 libpam-ck-connector libphonon4
  libplasma3 libpolkit-qt-1-1 libpoppler-qt4-4 libproxy-tools libqapt2
  libqapt2-runtime libqca2 libqjson0 libqmobipocket1 libqt4-qt3support
  libresid-builder0c2a libsdl-image1.2 libsidplay2 libsolid4 libsoprano4
  libssh2-1 libstreamanalyzer0 libstreams0 libtar0 libthreadweaver4 libupnp6
  libusageenvironment1 libva-x11-1 libvcdinfo0 libvirtodbc0 libvlc5
  libvlccore7 libwebp4 libx264-123 libxcb-composite0 libxcb-xv0 libxml2-utils
  libzip2 linux-headers-3.11.0-12 linux-headers-3.11.0-12-generic
  linux-headers-3.11.0-15 linux-headers-3.11.0-15-generic
  linux-image-3.11.0-12-generic linux-image-3.11.0-15-generic
  linux-image-extra-3.11.0-12-generic linux-image-extra-3.11.0-15-generic
  nepomuk-core-data nepomuk-core-runtime ntrack-module-libnl-0 odbcinst
  odbcinst1debian2 oxygen-icon-theme phonon phonon-backend-gstreamer
  phonon-backend-gstreamer-common plasma-scriptengine-javascript
  python-dnspython sgml-data shared-desktop-ontologies soprano-daemon
  tdb-tools virtuoso-minimal virtuoso-opensource-6.1-bin
  virtuoso-opensource-6.1-common vlc-data
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno inoltre installati:
  samba-libs
I seguenti pacchetti NUOVI saranno installati:
  samba-libs
0 aggiornati, 1 installati, 0 da rimuovere e 489 non aggiornati.
7 non completamente installati o rimossi.
È necessario scaricare 0 B/4.100 kB di archivi.
Dopo quest'operazione, verranno occupati 18,5 MB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 337584 file e directory attualmente installati.)
Preparing to unpack .../samba-libs_2%3a4.1.6+dfsg-1ubuntu2.14.04.3_i386.deb ...
secrets.tdb exists in /var/lib/samba and /var/lib/samba/private, aborting samba-libs preinst
rename one of them to allow the install/upgrade to continue
http://bugs.debian.org/726472
/var/lib/samba:
totale 2208
drwxr-xr-x   7 root root         4096 apr 28 08:23 .
drwxr-xr-x  70 root root         4096 apr 28 08:22 ..
-rw-------   1 root root       421888 gen 11  2014 account_policy.tdb
-rw-------   1 root root          696 gen 11  2014 group_mapping.tdb
drwxr-x---   2 root root         4096 apr 28 07:22 ntp_signd
-rw-------   1 root root       421888 gen 24  2014 passdb.tdb
drwxr-xr-x   6 root root         4096 apr 28 07:22 private
-rw-------   1 root root       528384 gen 24  2014 registry.tdb
-rw-------   1 root root       430080 gen 11  2014 secrets.tdb
-rw-------   1 root root       421888 gen 24  2014 share_info.tdb
drwxrwx---+  3 root    3000000   4096 gen 24  2014 sysvol
drwxrwx--T   2 root sambashare   4096 gen 24  2014 usershares
drwxr-x---   2 root root         4096 apr 28 07:22 winbindd_privileged

/var/lib/samba/private:
totale 10904
drwxr-xr-x 6 root root    4096 apr 28 07:22 .
drwxr-xr-x 7 root root    4096 apr 28 08:23 ..
-rw-r--r-- 1 root root    2270 gen 24  2014 dns_update_list
-rw------- 1 root root 1286144 gen 24  2014 hklm.ldb
-rw------- 1 root root 1286144 gen 24  2014 idmap.ldb
-rw-r--r-- 1 root root      92 gen 24  2014 krb5.conf
srwxrwxrwx 1 root root       0 apr 28 07:22 ldapi
drwxr-x--- 2 root root    4096 apr 28 07:22 ldap_priv
-r--r--r-- 1 root root     224 gen 24  2014 named.conf.update
-rw------- 1 root root 1286144 gen 24  2014 privilege.ldb
-rw------- 1 root root     696 gen 24  2014 randseed.tdb
-rw------- 1 root root 4251648 gen 24  2014 sam.ldb
drwx------ 2 root root    4096 gen 24  2014 sam.ldb.d
-rw------- 1 root root     696 apr 28 07:22 schannel_store.tdb
-rw------- 1 root root    1117 gen 24  2014 secrets.keytab
-rw------- 1 root root 1286144 gen 24  2014 secrets.ldb
-rw------- 1 root root  430080 gen 24  2014 secrets.tdb
-rw------- 1 root root 1286144 gen 24  2014 share.ldb
drwxr-xr-x 3 root root    4096 gen 24  2014 smbd.tmp
-rw-r--r-- 1 root root     955 gen 24  2014 spn_update_list
drwxr-xr-x 2 root root    4096 gen 24  2014 tls
dpkg: error processing archive /var/cache/apt/archives/samba-libs_2%3a4.1.6+dfsg-1ubuntu2.14.04.3_i386.deb (--unpack):
 il sottoprocesso nuovo script pre-installation ha restituito lo stato di errore 1
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/samba-libs_2%3a4.1.6+dfsg-1ubuntu2.14.04.3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

che devo fare?

chiesto 01 Ott '14, 17:10

Morpheus's gravatar image

Morpheus
25113

modificato 01 Ott '14, 17:25

enzotib's gravatar image

enzotib ♦♦
14.0k112186

1

@Morpheus: io ti consiglierei di rinominare /var/lib/samba e ritentare da terminale lo stesso comando:

sudo mv /var/lib/samba /var/lib/samba.bak
(01 Ott '14, 17:29) enzotib ♦♦ enzotib's gravatar image

prova

sudo mv /var/lib/samba/secrets.tdb /var/lib/samba/secrets.tdb-old
sudo rm /var/lib/dpkg/info/samba-libs.preinst
sudo dpkg --force-all -i /var/cache/apt/archives/samba-libs_2%3a4.1.6+dfsg-1ubuntu2.14.04.3_i386.deb
sudo apt-get install -f

e vedi se si sblocca, in caso posta gli output

coll. permanente

ha risposto 01 Ott '14, 17:44

anonimo01's gravatar image

anonimo01
(sospeso)

modificato 01 Ott '14, 17:54

@stani: scusa l'intrusione, l'ultimo comando non dovrebbe essere:

apt-get -f install
(01 Ott '14, 18:05) enzoge enzoge's gravatar image

tutto risolto!!! grazie mille!!

(01 Ott '14, 18:10) Morpheus Morpheus's gravatar image

è uguale, il parametro -f si può mettere prima o dopo, io ho l'abitudine di usarlo così

(01 Ott '14, 18:10) anonimo01 anonimo01's gravatar image

Ops, è lo stesso! :)

(01 Ott '14, 18:11) enzoge enzoge's gravatar image

@Morpheus, non usare le risposte, usa i commenti, le risposte servono solo per proporre soluzioni.

La cosa che mi pare strana è la risposta ai primi due comandi, perchè quel file secrets.tdb c'era in /var/lib/samba e credo anche il file .preinst in /var/lib/dpkg/info, magari hai dato 2 volte i comandi perchè non vedevi output?

Comunque l'importante è che si è risolta, ciao

(01 Ott '14, 18:29) anonimo01 anonimo01's gravatar image

Si @stani, me ne ero accorto. É che invece io l'ho usato con -f prima. Mi ero già scusato!

(01 Ott '14, 18:41) enzoge enzoge's gravatar image

@Morpheus: se la risposta di @stani ti ha aiutato a risolvere il problema, spunta sulla a v, quella a sinistra sotto le manine per accettarla. Così potrà tornare utile anche ad altri. :)

(01 Ott '14, 19:17) enzoge enzoge's gravatar image

Ciao @ilgallinetta, non ho capito cosa ci sarebbe da scusarsi, la mia era solo una risposta di come lo uso per abitudine

(01 Ott '14, 20:28) anonimo01 anonimo01's gravatar image

Ti avevo segnalato che sbagliavi, invece sbagliavo io.

(01 Ott '14, 20:49) enzoge enzoge's gravatar image

ah, figurati, a volte succede di sbagliare i comandi e se cè qualcuno che interviene è meglio

(01 Ott '14, 20:58) anonimo01 anonimo01's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×756
×119

domanda posta: 01 Ott '14, 17:10

domanda visualizzata: 1,440 volte

ultimo aggiornamento: 01 Ott '14, 20:58

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.